package com.qs.mp.web.controller.api.common;

import com.alibaba.fastjson.JSONObject;
import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.qs.mp.common.core.domain.AjaxResult;
import com.qs.mp.common.domain.Area;
import com.qs.mp.common.domain.DeliveryCompany;
import com.qs.mp.common.service.IAreaService;
import com.qs.mp.common.service.IDeliveryCompanyService;
import com.qs.mp.web.controller.common.BaseApiController;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * 快递公司
 * @author zhongcp on 2022/3/2.
 */
@RestController
@RequestMapping("/api/v1/mp/delivery")
@Api(tags="快递公司接口")
public class DeliveryCompanyController extends BaseApiController {

    @Autowired
    private IDeliveryCompanyService deliveryCompanyService;

    @PostMapping("/company/list")
    @ApiOperation(value="获取快递公司列表", notes="")
	public AjaxResult list(@RequestBody JSONObject jsonObject){
		  List<DeliveryCompany> list = deliveryCompanyService.list(new LambdaQueryWrapper<DeliveryCompany>()
          .orderByAsc(DeliveryCompany::getCreatedTime));
		  return AjaxResult.success(list);
	}

}
