package com.qs.mp.admin.domain;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;

import java.util.Date;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableField;

import java.io.Serializable;

import com.baomidou.mybatisplus.annotation.*;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @describe 券包表实体类
 * @auther quanshu
 * @create 2022-04-29 17:43:38
 */
@TableName("mp_coupon_pkg")
@Data
@ApiModel("券包表实体类")
public class CouponPkg implements Serializable {
    private static final long serialVersionUID = 1L;

    @ApiModelProperty("主键")
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     * 券包标题
     */
    @ApiModelProperty("券包标题")
    @TableField("title")
    private String title;

    /**
     * 券包图片
     */
    @ApiModelProperty("券包图片")
    @TableField("pic_url")
    private String picUrl;

    /**
     * 面值
     */
    @ApiModelProperty("面值")
    @TableField("face_price")
    private Integer facePrice;

    /**
     * 优惠券数量
     */
    @ApiModelProperty("优惠券数量")
    @TableField("coupon_num")
    private Integer couponNum;

    /**
     * 券包，状态 0待上架 1 上架 2下架
     */
    @ApiModelProperty("券包，状态 0待上架 1 上架 2下架")
    @TableField("status")
    private Integer status;

    /**
     * 创建时间
     */
    @ApiModelProperty("创建时间")
    @TableField("created_time")
    private Date createdTime;

    /**
     * 更新时间
     */
    @ApiModelProperty("更新时间")
    @TableField("updated_time")
    private Date updatedTime;


}