package com.qs.mp.admin.domain;

import com.alibaba.fastjson.annotation.JSONField;
import com.alibaba.fastjson.serializer.SerializerFeature;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.qs.mp.common.enums.BannerLocationEnum;
import java.io.Serializable;
import java.util.Date;
import lombok.Data;

/**
 * @describe 兑换大厅推广区设置实体类
 * @auther quanshu
 * @create 2022-04-07 11:42:42
 */
@TableName("mp_exchange_banner")
@Data
public class ExchangeBanner implements Serializable {

  private static final long serialVersionUID = 1L;

  /**
   * 主键
   */
  @TableId(value = "banner_id", type = IdType.AUTO)
  private Long bannerId;

  /**
   * banner名
   */
  @TableField("name")
  private String name;

  /**
   * 图片
   */
  @TableField("pic_url")
  private String picUrl;

  /**
   * 位置
   */
  @TableField("location")
  @JSONField(serialzeFeatures = SerializerFeature.WriteEnumUsingToString)
  private BannerLocationEnum location;

  /**
   * 顺序
   */
  @TableField("sort")
  private Integer sort;

  /**
   * 类型，链接link，标签tag
   */
  @TableField("type")
  private String type;

  /**
   * 链接url
   */
  @TableField("link_url")
  private String linkUrl;

  /**
   * 标签列表，逗号隔开
   */
  @TableField("goods_tags")
  private String goodsTags;

  /**
   * 创建时间
   */
  @TableField("created_time")
  private Date createdTime;

  /**
   * 更新时间
   */
  @TableField("updated_time")
  private Date updatedTime;


}
