package com.qs.mp.admin.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import java.io.Serializable;
import java.util.Date;
import lombok.Data;

/**
 * @describe 商品类目实体类
 * @auther quanshu
 * @create 2022-03-07 20:43:44
 */
@TableName("mp_goods_category")
@Data
public class GoodsCategory implements Serializable {

  private static final long serialVersionUID = 1L;

  /**
   * 主键
   */
  @TableId(value = "category_id", type = IdType.AUTO)
  private Long categoryId;

  /**
   * 类目名称
   */
  @TableField("name")
  private String name;

  /**
   * 图片
   */
  @TableField("pic_url")
  private String picUrl;

  /**
   * 父级类目ID
   */
  @TableField("parent_id")
  private Long parentId;

  /**
   * 排序
   */
  @TableField("sort")
  private Integer sort;

  /**
   * 是否显示
   */
  @TableField("is_show")
  private Integer isShow;

  /**
   * 创建时间
   */
  @TableField("created_time")
  private Date createdTime;

  /**
   * 更新时间
   */
  @TableField("updated_time")
  private Date updatedTime;


}
