package com.qs.mp.admin.domain;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;

import java.util.Date;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableLogic;
import com.baomidou.mybatisplus.annotation.TableField;

import java.io.Serializable;

import com.baomidou.mybatisplus.annotation.*;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @describe 营销活动表实体类
 * @auther quanshu
 * @create 2022-05-16 14:25:44
 */
@TableName("mp_marketing")
@Data
@ApiModel("营销活动表实体类")
public class Marketing implements Serializable {
    private static final long serialVersionUID = 1L;

    /**
     * 活动id,主键
     */
    @ApiModelProperty(value = "活动id,主键")
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     * 活动标题
     */
    @ApiModelProperty("活动标题")
    @TableField("title")
    private String title;

    /**
     * 活动主图
     */
    @ApiModelProperty("活动主图")
    @TableField("pic_url")
    private String picUrl;

    /**
     * 真实人数
     */
    @ApiModelProperty("真实人数")
    @TableField("real_num")
    private Integer realNum;

    /**
     * 虚假人数
     */
    @ApiModelProperty("虚假人数")
    @TableField("fake_num")
    private Integer fakeNum;

    /**
     * 开始时间
     */
    @ApiModelProperty("开始时间")
    @TableField("start_time")
    private Date startTime;

    /**
     * 结束时间
     */
    @ApiModelProperty("结束时间")
    @TableField("end_time")
    private Date endTime;

    /**
     * 活动描述
     */
    @ApiModelProperty("活动描述")
    @TableField("description")
    private String description;

    /**
     * 是否开启: -1关闭,0待开启, 1开启  默认0
     */
    @ApiModelProperty("是否开启: -1关闭,0待开启, 1开启  默认0")
    @TableField("is_on")
    private Integer isOn;

    /**
     * 开奖状态: 0未开奖,1已开奖, 默认0
     */
    @ApiModelProperty("开奖状态: 0未开奖,1已开奖, 默认0")
    @TableField("trigger_status")
    private Integer triggerStatus;

    @ApiModelProperty("是否发送通知:0未发送,1已发送")
    @TableField("is_send")
    private Integer isSend;

    /**
     * 创建时间
     */
    @ApiModelProperty("创建时间")
    @TableField("created_time")
    private Date createdTime;

    /**
     * 更新时间
     */
    @ApiModelProperty("更新时间")
    @TableField("updated_time")
    private Date updatedTime;

    /**
     * 逻辑删除标识
     */
    @ApiModelProperty("逻辑删除标识")
    @TableField("is_deleted")
    @TableLogic
    private Integer isDeleted;


}