package com.qs.mp.admin.domain;

import java.math.BigDecimal;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;

import java.util.Date;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableLogic;
import com.baomidou.mybatisplus.annotation.TableField;

import java.io.Serializable;

import com.baomidou.mybatisplus.annotation.*;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @describe 营销活动奖项设置实体类
 * @auther quanshu
 * @create 2022-05-16 14:29:18
 */
@TableName("mp_marketing_awards")
@Data
@ApiModel("营销活动奖项设置实体类")
public class MarketingAwards implements Serializable {
    private static final long serialVersionUID = 1L;

    /**
     * 奖项id
     */
    @ApiModelProperty("奖项id")
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     * 营销活动id
     */
    @ApiModelProperty("营销活动id")
    @TableField("marketing_id")
    private Long marketingId;

    /**
     * 奖项名
     */
    @ApiModelProperty("奖项名")
    @TableField("name")
    private String name;

    /**
     * 奖项顺序
     */
    @ApiModelProperty("奖项顺序")
    @TableField("sort")
    private Integer sort;

    /**
     * 奖项数量
     */
    @ApiModelProperty("奖项数量")
    @TableField("quantity")
    private Integer quantity;


    @ApiModelProperty("内定数量")
    @TableField("inside_num")
    private Integer insideNum;

    /**
     * 奖项描述
     */
    @ApiModelProperty("奖项描述")
    @TableField("memo")
    private String memo;


    /**
     * 创建时间
     */
    @ApiModelProperty("创建时间")
    @TableField("created_time")
    private Date createdTime;

    /**
     * 更新时间
     */
    @ApiModelProperty("更新时间")
    @TableField("updated_time")
    private Date updatedTime;

    /**
     * 逻辑删除标识
     */
    @ApiModelProperty("逻辑删除标识")
    @TableField("is_deleted")
    @TableLogic
    private Integer isDeleted;


}