package com.qs.mp.admin.domain;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;

import java.util.Date;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableLogic;
import com.baomidou.mybatisplus.annotation.TableField;

import java.io.Serializable;

import com.baomidou.mybatisplus.annotation.*;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @describe 供应商表实体类
 * @auther quanshu
 * @create 2022-05-10 10:22:34
 */
@ApiModel("供应商实体类")
@TableName("mp_supplier")
@Data
public class Supplier implements Serializable {
    private static final long serialVersionUID = 1L;

    /**
     * 供应商ID
     */
    @ApiModelProperty("供应商ID")
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     * 供应商名称
     */
    @ApiModelProperty("供应商名称")
    @TableField("name")
    private String name;

    /**
     * 联系人
     */
    @ApiModelProperty("联系人")
    @TableField("contact")
    private String contact;

    /**
     * 手机号
     */
    @ApiModelProperty("手机号")
    @TableField("phone")
    private String phone;

    /**
     * 备注
     */
    @ApiModelProperty("备注")
    @TableField("remark")
    private String remark;

    /**
     * 逻辑删除标识
     */
    @ApiModelProperty("逻辑删除标识")
    @TableField("is_deleted")
    @TableLogic
    private Integer isDeleted;

    /**
     * 创建时间
     */
    @ApiModelProperty("创建时间")
    @TableField("created_time")
    private Date createdTime;

    /**
     * 更新时间
     */
    @ApiModelProperty("更新时间")
    @TableField("updated_time")
    private Date updatedTime;


}