package com.qs.mp.admin.domain.excel;

import com.alibaba.fastjson.annotation.JSONField;
import com.alibaba.fastjson.serializer.SerializerFeature;
import com.qs.mp.common.annotation.Excel;
import com.qs.mp.common.enums.TicketTypeEnum;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

/**
 * 用户盲票订单导出类
 * @author Cup
 * @date 2022/5/6
 */
@ApiModel("用户盲票订单导出类")
@Data
public class UserTicketOrderExcel {

    @Excel(name = "订单编号")
    private String orderId;

    @Excel(name = "下单时间")
    private Date createdTime;

    @Excel(name = "盲票组名称")
    private String title;

    @Excel(name = "盲票类型")
    private String boxType;

    @Excel(name = "盲票售价")
    private BigDecimal salePrice;

    @Excel(name = "购买数量")
    private Integer ticketNum;

    @Excel(name = "订单状态")
    private String status;

    @Excel(name = "优惠金额")
    private BigDecimal discountAmt;

    @Excel(name = "实付金额")
    private BigDecimal payAmt;

    @Excel(name = "用户昵称")
    private String nickName;

    @Excel(name = "用户手机号")
    private String phone;



}
