package com.qs.mp.admin.domain.param;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import java.io.Serializable;

/**
 * 物流消息查询入参类
 * @author Cup
 * @date 2022/4/26
 */
@Data
@ApiModel("物流查询入参类")
public class LogisticsQueryParam implements Serializable {


    @NotNull(message = "物流公司id不能为空")
    @ApiModelProperty("物流公司id")
    private Long deliveryId;


    @NotBlank(message = "物流单号不能为空")
    @ApiModelProperty("物流单号")
    private String deliveryFlowId;


}
