package com.qs.mp.admin.domain.param;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotEmpty;
import javax.validation.constraints.NotNull;
import java.util.List;

/**
 * @author Cup
 * @date 2022/5/16
 */
@ApiModel(value= "营销活动奖级入参类")
@Data
public class MarketingAwardsParam {


    @NotEmpty(message = "奖品列表不能为空")
    @ApiModelProperty(value = "奖品列表",required=true)
    List<MarketingAwardsPrizeParam> prizeList;

    @NotNull(message = "奖级名称不能为空")
    @ApiModelProperty(value = "奖级名称",required=true)
    private String name;

    @NotNull(message = "奖级数量不能为空")
    @ApiModelProperty(value = "奖级数量",required=true)
    private Integer quantity;

    @NotNull(message = "内定数量不能为空")
    @ApiModelProperty(value = "内定数量",required = true)
    private Integer insideNum;

    @NotNull(message = "奖级顺序不能为空")
    @ApiModelProperty(value = "奖级顺序",required=true)
    private Integer sort;
}
