package com.qs.mp.admin.domain.param;

import com.qs.mp.common.enums.TicketPrizeTypeEnum;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;

/**
 * @author Cup
 * @date 2022/5/16
 */
@ApiModel("营销活动奖级对应奖品入参类")
@Data
public class MarketingAwardsPrizeParam {

    @NotNull(message = "奖品关联ID不能为空")
    @ApiModelProperty(value = "奖品关联ID",required=true)
    private String refId;

    @NotNull(message = "奖品类型不能为空")
    @ApiModelProperty(value = "奖品类型",required=true)
    private TicketPrizeTypeEnum prizeType;

    @NotNull(message = "奖品数量不能为空")
    @ApiModelProperty(value = "奖品数量",required=true)
    private Integer quantity;

    @ApiModelProperty(value = "奖品价值",required=true)
    private Integer value;
}
