package com.qs.mp.admin.domain.param;

import com.baomidou.mybatisplus.annotation.TableField;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotEmpty;
import javax.validation.constraints.NotNull;
import java.util.Date;
import java.util.List;

/**
 * 营销活动创建入参类
 *
 * @author Cup
 * @date 2022/5/16
 */
@ApiModel("营销活动创建入参类")
@Data
public class MarketingCreateParam {

    @ApiModelProperty(value = "活动标题", required = true)
    @NotBlank(message = "活动标题不能为空")
    private String title;

    @ApiModelProperty(value = "活动主图", required = true)
    @NotBlank(message = "活动主图不能为空")
    private String picUrl;

    @ApiModelProperty(value = "初始人数", required = true)
    private Integer fakeNum;

    @ApiModelProperty(value = "开始时间", required = true)
    @NotNull(message = "开始时间不能为空")
    private Date startTime;

    @ApiModelProperty(value = "结束时间", required = true)
    @NotNull(message = "结束时间不能为空")
    private Date endTime;

    @ApiModelProperty(value = "活动描述",required = false)
    private String description;

    @NotEmpty(message = "奖级列表不能为空")
    @ApiModelProperty(value = "奖级列表", required = true)
    List<MarketingAwardsParam> awardsList;
}
