package com.qs.mp.admin.domain.param;

import com.baomidou.mybatisplus.annotation.TableField;
import com.qs.mp.admin.domain.Supplier;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;

/**
 * 供应商创建入参类
 * @author Cup
 * @date 2022/5/10
 */
@ApiModel("供应商创建入参类")
@Data
public class SupplierCreateParam{

    /**
     * 供应商名称
     */
    @NotBlank(message = "供应商名称不能为空")
    @ApiModelProperty(value = "供应商名称",required = true)
    private String name;

    /**
     * 联系人
     */
    @ApiModelProperty("联系人")
    private String contact;

    /**
     * 手机号
     */
    @ApiModelProperty("手机号")
    private String phone;

    /**
     * 备注
     */
    @ApiModelProperty("备注")
    private String remark;
}
