package com.qs.mp.admin.domain.param;

import com.alibaba.fastjson.annotation.JSONField;
import com.alibaba.fastjson.serializer.SerializerFeature;
import com.baomidou.mybatisplus.annotation.TableField;
import com.qs.mp.common.enums.TicketTypeEnum;
import com.qs.mp.common.enums.UserTicketOrderStatusEnum;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
 * 用户盲票订单查询入参类
 * @author Cup
 * @date 2022/5/6
 */
@ApiModel("用户盲票订单查询入参类")
@Data
public class UserTicketOrderQueryParam {

    @ApiModelProperty("盲票组名称")
    private String boxTitle;

    @ApiModelProperty("盲票形式（线上或线下）")
    @JSONField(serialzeFeatures = SerializerFeature.WriteEnumUsingToString)
    private TicketTypeEnum boxType;

    @ApiModelProperty("用户手机号")
    private String phone;

    @ApiModelProperty("订单状态;-1 已取消 0:待付款 1:已完成")
    private Integer status;

    @ApiModelProperty("经销商id")
    private Long channelId;

    @ApiModelProperty("开始时间")
    private Date startTime;

    @ApiModelProperty("结束时间")
    private Date endTime;
}
