package com.qs.mp.admin.domain.vo;

import com.alibaba.fastjson.annotation.JSONField;
import com.alibaba.fastjson.serializer.SerializerFeature;
import com.qs.mp.admin.domain.CouponPkgItem;
import com.qs.mp.common.enums.CouponTypeEnum;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 券包明细出参类
 *
 * @author Cup
 * @date 2022/5/6
 */
@ApiModel("券包明细出参类")
@Data
public class CouponPkgItemVO extends CouponPkgItem {

    @ApiModelProperty("优惠券名称")
    private String title;

    @ApiModelProperty("券优惠金额（比例）")
    private Integer discount;

    @ApiModelProperty("类型;1用户盲票购买优惠券、2用户门店消费优惠券、3经销商盲票采购优惠券")
    @JSONField(serialzeFeatures = SerializerFeature.WriteEnumUsingToString)
    private CouponTypeEnum type;

    @ApiModelProperty("有效期天数;从领券后开始多少天有效，0则使用绝对有效期")
    private Integer dueDays;


}
