package com.qs.mp.admin.mapper;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.toolkit.Constants;
import com.qs.mp.admin.domain.Coupon;
import com.qs.mp.admin.domain.CouponPkgItem;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.qs.mp.admin.domain.vo.CouponPkgItemVO;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * @auther quanshu
 * @create 2022-04-29 17:43:54
 * @describe 券包明细表mapper类
 */
public interface CouponPkgItemMapper extends BaseMapper<CouponPkgItem> {

    /**
     * 查询券包明细列表
     * @param queryWrapper
     * @return
     */
    List<CouponPkgItemVO> selectDetail(@Param(Constants.WRAPPER) QueryWrapper<CouponPkgItemVO> queryWrapper);

    /**
     * 根据券包id获取优惠券列表
     * @param queryWrapper
     * @return
     */
    List<Coupon> selectCouponList(@Param(Constants.WRAPPER) QueryWrapper<Coupon> queryWrapper);
}
