package com.qs.mp.admin.service;

import com.qs.mp.admin.domain.Coupon;
import com.qs.mp.admin.domain.CouponPkgItem;
import com.baomidou.mybatisplus.extension.service.IService;
import com.qs.mp.admin.domain.vo.CouponPkgItemVO;

import java.util.List;

/**
 * <p>
 * 券包明细表 服务类
 * </p>
 *
 * @author quanshu
 * @since 2022-04-29
 */
public interface ICouponPkgItemService extends IService<CouponPkgItem> {

    /**
     * 获取券包明细列表
     * @param id
     * @return
     */
    List<CouponPkgItemVO> listDetailByCouponPkgId(Long id);

    /**
     * 根据券包模板id获取优惠券列表
     * @param couponPkgId
     * @return
     */
    List<Coupon> listCouponByPkgId(String couponPkgId);

}
