package com.qs.mp.admin.service;

import com.qs.mp.common.enums.TicketTypeEnum;

/**
 * 票组序号生成
 *
 * @author zhongcp
 * @Date 2022/3/11
 */
public interface ITicketBoxSerialService {

  /**
   * 格式，共8位，分四段，票类型（1位）-形式（1位）-年份（1位）-序号（5位）
   * T(票类型，T代表通用票）
   * S(形式，S代表线上，X代表线下）
   * H(年份后两位+50后的ascii码，从2022年可以用到2072年)
   * 00001(序号，每年从年份数字开始，比如2022年，那起始序号为2022)
   *
   * @param ticketType
   * @return
   */
  String generateSerial(TicketTypeEnum ticketType);
}
