package com.qs.mp.channel.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import java.io.Serializable;
import java.util.Date;
import lombok.Data;

/**
 * @describe 渠道银行卡信息实体类
 * @auther quanshu
 * @create 2022-03-04 17:11:47
 */
@TableName("mp_channel_bank_card")
@Data
public class ChannelBankCard implements Serializable {

  private static final long serialVersionUID = 1L;

  @TableId(value = "id" , type = IdType.AUTO)
  private Long id;

  /**
   * 渠道id
   */
  @TableField("channel_id")
  private Long channelId;

  /**
   * 持卡人
   */
  @TableField("user_name")
  private String userName;

  /**
   * 卡号
   */
  @TableField("card_no")
  private String cardNo;

  /**
   * 银行卡所属银行
   */
  @TableField("bank_name")
  private String bankName;

  /**
   * 开户行
   */
  @TableField("branch_name")
  private String branchName;

  /**
   * 预留手机号码
   */
  @TableField("mobile")
  private String mobile;

  /**
   * 1默认
   */
  @TableField("default_card")
  private Integer defaultCard;

  /**
   * 添加时间
   */
  @TableField("create_time")
  private Date createTime;

  /**
   * 修改时间
   */
  @TableField("update_time")
  private Date updateTime;


}
