package com.qs.mp.channel.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import java.io.Serializable;
import java.util.Date;
import lombok.Data;

/**
 * @describe 经销商盲票采购订单明细实体类
 * @auther quanshu
 * @create 2022-03-02 12:22:24
 */
@TableName("mp_channel_order_item")
@Data
public class ChannelOrderItem implements Serializable {

  private static final long serialVersionUID = 1L;

  /**
   * 主键
   */
  @TableId(value = "id" , type = IdType.AUTO)
  private Long id;

  /**
   * 订单ID
   */
  @TableField("order_id")
  private String orderId;

  /**
   * 渠道ID
   */
  @TableField("channel_id")
  private Long channelId;

  /**
   * 盲票组标题
   */
  @TableField("title")
  private String title;

  /**
   * 盲票组主图
   */
  @TableField("pic_url")
  private String picUrl;

  /**
   * 盲票组ID
   */
  @TableField("box_id")
  private String boxId;

  /**
   * 盲票组属性
   */
  @TableField("properties")
  private String properties;

  /**
   * 每包盲票张数
   */
  @TableField("pkg_unit")
  private Integer pkgUnit;

  /**
   * 盲票面值
   */
  @TableField("face_price")
  private Integer facePrice;

  /**
   * 盲票包数量
   */
  @TableField("order_num")
  private Integer orderNum;

  /**
   * 盲票包单价
   */
  @TableField("pkg_sale_price")
  private Integer pkgSalePrice;

  /**
   * 创建时间
   */
  @TableField("created_time")
  private Date createdTime;

  /**
   * 更新时间
   */
  @TableField("updated_time")
  private Date updatedTime;


}
