package com.qs.mp.channel.domain;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;

import java.util.Date;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableField;

import java.io.Serializable;

import com.baomidou.mybatisplus.annotation.*;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @describe 经销商盲票转让信息表实体类
 * @auther quanshu
 * @create 2022-04-21 10:47:03
 */
@TableName("mp_channel_ticket_transfer")
@Data
@ApiModel("经销商盲票转让信息表实体类")
public class ChannelTicketTransfer implements Serializable {
    private static final long serialVersionUID = 1L;

    /**
     * 主键
     */
    @TableId(value = "id", type = IdType.AUTO)
    @ApiModelProperty("主键")
    private Long id;

    /**
     * 转让人ID
     */
    @TableField("transfer_channel_id")
    @ApiModelProperty("转让人ID")
    private Long transferChannelId;

    /**
     * 拥有人ID
     */
    @TableField("channel_id")
    @ApiModelProperty("拥有人ID")
    private Long channelId;

    /**
     * 盲票组ID
     */
    @TableField("box_id")
    @ApiModelProperty("盲票组ID")
    private String boxId;

    /**
     * 盲票包ID
     */
    @TableField("pkg_id")
    @ApiModelProperty("盲票包ID")
    private String pkgId;

    /**
     * 创建时间
     */
    @TableField("created_time")
    @ApiModelProperty("创建时间")
    private Date createdTime;

    /**
     * 更新时间
     */
    @TableField("updated_time")
    @ApiModelProperty("更新时间")
    private Date updatedTime;


}