package com.qs.mp.channel.domain.vo;

import com.qs.mp.user.domain.UserAddr;
import java.util.ArrayList;
import java.util.List;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @author zhongcp
 * @Date 2022/3/3
 */
@Data
@ApiModel("经销商订单结算出参类")
public class ChannelOrderSettleVO {

  @ApiModelProperty("用户地址")
  private UserAddr addr;

  /**
   * 订单金额
   */
  @ApiModelProperty("订单金额")
  private Integer orderAmt = 0;

  /**
   * 优惠金额
   */
  @ApiModelProperty("优惠金额")
  private Integer discountAmt = 0;

  /**
   * 运费金额
   */
  @ApiModelProperty("运费金额")
  private Integer freightAmt = 0;

  @ApiModelProperty("运费模板类型 1发货，2不发货")
  private Integer freightType;

  @ApiModelProperty("运费备注")
  private String freightRemark;

  /**
   * 实付金额
   */
  @ApiModelProperty("实付金额")
  private Integer payAmt = 0;

  /**
   * 订单明细
   */
  @ApiModelProperty("订单明细")
  private List<ChannelCartVO> items = new ArrayList<>();

  /**
   * 盲票包数
   */
  @ApiModelProperty("盲票包数")
  private Integer pkgNum = 0;
}
