package com.qs.mp.channel.mapper;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.toolkit.Constants;
import com.qs.mp.channel.domain.ChannelTicketTransfer;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.qs.mp.channel.domain.vo.ChannelMyTicketVO;
import com.qs.mp.channel.domain.vo.ChannelTicketTransferDetailVO;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * @auther quanshu
 * @create 2022-04-21 10:47:03
 * @describe 经销商盲票转让信息表mapper类
 */
public interface ChannelTicketTransferMapper extends BaseMapper<ChannelTicketTransfer> {

    /**
     * 获取已转让盲票列表
     * @param queryWrapper
     * @return
     */
    List<ChannelMyTicketVO> listTransferTicketList(@Param(Constants.WRAPPER) QueryWrapper<ChannelMyTicketVO> queryWrapper);

    /**
     * 获取已转让盲票详情
     * @param queryWrapper
     * @return
     */
    ChannelTicketTransferDetailVO getTicketTransferDetail(@Param(Constants.WRAPPER) QueryWrapper<ChannelTicketTransferDetailVO> queryWrapper);

}
