package com.qs.mp.channel.service;

import com.baomidou.mybatisplus.core.conditions.Wrapper;
import com.baomidou.mybatisplus.core.toolkit.Constants;
import com.qs.mp.channel.domain.ChannelCommission;

import com.baomidou.mybatisplus.extension.service.IService;
import java.util.Date;
import java.util.List;
import org.apache.ibatis.annotations.Param;

/**
 * <p>
 * 渠道佣金记录 服务类
 * </p>
 *
 * @author quanshu
 * @since 2022-03-02
 */
public interface IChannelCommissionService extends IService<ChannelCommission> {

	/**
	 * 查询子渠道一定时间范围内的佣金金额 -
	 * @param channelNo
	 * @param days
	 * @return
	 */
	public int getChannelCommAmtCnt(String channelNo, int days);


	/**
	 * 查询子渠道一定时间范围内的销售金额
	 * @param channelNo
	 * @param days
	 * @return
	 */
	public int getChannelSaleAmtCnt(String channelNo, int days);


	/**
	 * 查询子渠道全部佣金金额 -
	 * @param channelNo
	 * @return
	 */
	public int getChannelTotalCommAmtCnt(String channelNo);


	/**
	 * 查询子渠道全部的销售金额
	 * @param channelNo
	 * @return
	 */
	public int getChannelTotalSaleAmtCnt(String channelNo);

	/**
	 * 查询渠道列表
	 * @param wrapper
	 * @return
	 */
	List<ChannelCommission> getChannelList(Wrapper<ChannelCommission> wrapper);

	/**
	 * 渠道佣金收入汇总入账
	 * @param channelId
	 */
	void commEntry(Long channelId, Date bizDay);

}
