package com.qs.mp.channel.service;

import com.qs.mp.channel.domain.ChannelTicketTransfer;
import com.baomidou.mybatisplus.extension.service.IService;
import com.qs.mp.channel.domain.param.ChannelTicketTransferParam;
import com.qs.mp.channel.domain.vo.ChannelMyTicketVO;
import com.qs.mp.channel.domain.vo.ChannelTicketTransferDetailVO;

import java.util.List;

/**
 * <p>
 * 经销商盲票转让信息表 服务类
 * </p>
 *
 * @author quanshu
 * @since 2022-04-21
 */
public interface IChannelTicketTransferService extends IService<ChannelTicketTransfer> {


    /**
     * 转让盲票
     * @param transferChannelId     转让人id
     * @param channelTicketTransferParam        转让参数
     * @return
     */
    boolean transferTicket(Long transferChannelId, ChannelTicketTransferParam channelTicketTransferParam);

    /**
     * 获取已转让盲票列表
     * @param transferChannelId     转让人id
     * @return
     */
    List<ChannelMyTicketVO> listTransferTicketList(Long transferChannelId);

    /**
     * 根据id和转让人id查询盲票转让详情
     * @param id
     * @param transferChannelId
     * @return
     */
    ChannelTicketTransferDetailVO getTicketTransferDetailById(Long id, Long transferChannelId);
}
