package com.qs.mp.common.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import java.io.Serializable;
import java.util.Date;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @describe 物流公司实体类
 * @auther quanshu
 * @create 2022-03-17 22:02:15
 */
@TableName("mp_delivery_company")
@Data
@ApiModel("物流公司实体类")
public class DeliveryCompany implements Serializable {

  private static final long serialVersionUID = 1L;

  /**
   * ID
   */
  @ApiModelProperty("物流公司id")
  @TableId(value = "delivery_id", type = IdType.AUTO)
  private Long deliveryId;

  /**
   * 物流公司名称
   */
  @ApiModelProperty("物流公司名称")
  @TableField("company_name")
  private String companyName;

  /**
   * 公司主页
   */
  @ApiModelProperty("公司主页")
  @TableField("company_home_url")
  private String companyHomeUrl;

  /**
   * 物流查询接口
   */
  @ApiModelProperty("物流查询接口")
  @TableField("query_url")
  private String queryUrl;

  @ApiModelProperty("物流公司编码")
  @TableField("code")
  private String code;


  /**
   * 创建时间
   */
  @ApiModelProperty("创建时间")
  @TableField("created_time")
  private Date createdTime;

  /**
   * 更新时间
   */
  @ApiModelProperty("更新时间")
  @TableField("updated_time")
  private Date updatedTime;


}
