package com.qs.mp.common.domain;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;

import java.util.Date;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableField;

import java.io.Serializable;

import com.baomidou.mybatisplus.annotation.*;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @describe 运费规则表实体类
 * @auther quanshu
 * @create 2022-04-29 17:38:57
 */
@TableName("mp_shipping_template_rule")
@Data
@ApiModel("运费规则表实体类")
public class ShippingTemplateRule implements Serializable {
    private static final long serialVersionUID = 1L;

    @ApiModelProperty("主键")
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     * 运费模板ID
     */
    @ApiModelProperty("运费模板ID")
    @TableField("shipping_template_id")
    private Long shippingTemplateId;

    /**
     * 类型 1发货，2不发货，默认1
     */
    @ApiModelProperty("类型 1发货，2不发货，默认1")
    @TableField("type")
    private Integer type;

    /**
     * 默认数量
     */
    @ApiModelProperty("默认数量")
    @TableField("default_number")
    private Integer defaultNumber;

    /**
     * 默认价格
     */
    @ApiModelProperty("默认价格")
    @TableField("default_price")
    private Integer defaultPrice;

    /**
     * 新增数量
     */
    @ApiModelProperty("新增数量")
    @TableField("create_number")
    private Integer createNumber;

    /**
     * 新增价格
     */
    @ApiModelProperty("新增价格")
    @TableField("create_price")
    private Integer createPrice;

    /**
     * 备注
     */
    @ApiModelProperty("备注")
    @TableField("remark")
    private String remark;

    /**
     * 创建时间
     */
    @ApiModelProperty("创建时间")
    @TableField("created_time")
    private Date createdTime;

    /**
     * 更新时间
     */
    @ApiModelProperty("更新时间")
    @TableField("updated_time")
    private Date updatedTime;


}