package com.qs.mp.common.service;

import com.qs.mp.admin.domain.vo.ShippingTemplateCalculateVO;
import com.qs.mp.common.domain.ShippingTemplateRule;
import com.baomidou.mybatisplus.extension.service.IService;

/**
 * <p>
 * 运费规则表 服务类
 * </p>
 *
 * @author quanshu
 * @since 2022-04-29
 */
public interface IShippingTemplateRuleService extends IService<ShippingTemplateRule> {

    /**
     * 根据运费模板和地区信息获取运费规则
     *
     * @param shippingTemplateId 运费模板id
     * @param provinceId         省份id
     * @param cityId             城市id
     * @return
     */
    ShippingTemplateCalculateVO getShippingTemplateRuleByTemplateIdAndAreaInfo(Long shippingTemplateId, Long provinceId, Long cityId);
}
