package com.qs.mp.framework.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.qs.mp.common.enums.WxActTypeEnum;
import java.io.Serializable;
import java.util.Date;
import lombok.Data;

/**
 * @describe 微信用户表实体类
 * @auther ygp
 * @create 2021-09-24 11:03:11
 */
@TableName("qs_wx_account")
@Data
public class WxAccount implements Serializable {

  private static final long serialVersionUID = 1L;

  /**
   * 主键ID
   */
  @TableId(value = "id", type = IdType.AUTO)
  private Integer id;

  /**
   * 微信OpenID
   */
  @TableField("openid")
  private String openid;

  /**
   * 微信UnionID
   */
  @TableField("unionid")
  private String unionid;

  /**
   * 用户昵称
   */
  @TableField("nick_name")
  private String nickName;

  /**
   * 账号类型
   */
  @TableField("act_type")
  private WxActTypeEnum actType;

  /**
   * 创建时间
   */
  @TableField("create_time")
  private Date createTime;

  /**
   * 修改时间
   */
  @TableField("update_time")
  private Date updateTime;


}