package com.qs.mp.framework.service;

/**
 * @author zhongcp
 * @Date 2021/9/22
 */
public interface IWxUrlLinkService {

  /**
   * 生成小程序链接
   * @param path 小程序页面路径
   * @param query 查询参数
   * @param appId
   * @return
   */
  String generate(String path, String query, String appId);

  /**
   * 生成小程序链接
   * @param path 小程序页面路径
   * @param query 查询参数
   * @param appId
   * @return
   */
  String generateUrlSchema(String path, String query, String appId);

  /**
   * 生成小程序码（每个小程序限制10w个），返回图片名
   * @param path
   * @param scene
   * @param appId
   * @return
   */
  String generateCode(String path, String scene, String appId);

  /**
   * 生成小程序码（不受限制），返回图片名
   * @param path
   * @param scene
   * @param appId
   * @return
   */
  String generateUnlimitCode(String path, String scene, String appId);
}
