package com.qs.mp.sms.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.qs.mp.common.enums.SmsSendSceneEnum;
import java.io.Serializable;
import java.util.Date;
import lombok.Data;

/**
 * @describe 短信发送日志表实体类
 * @auther ygp
 * @create 2021-09-03 11:30:44
 */
@TableName("qs_sms_log")
@Data
public class SmsLog implements Serializable {

  private static final long serialVersionUID = 1L;

  /**
   * 表id
   */
  @TableId(value = "log_id", type = IdType.AUTO)
  private Integer logId;

  /**
   * 手机号
   */
  @TableField("mobile")
  private String mobile;

  /**
   * messageId
   */
  @TableField("message_id")
  private String messageId;

  /**
   * 发送状态,1:成功,0:失败
   */
  @TableField("status")
  private Integer status;

  /**
   * 短信内容
   */
  @TableField("msg")
  private String msg;

  /**
   * 发送场景,1:身份验证,2:找回密码,3:客户下单,4:客户支付,5:提现验证
   */
  @TableField("scene")
  private SmsSendSceneEnum scene;

  /**
   * 发送短信异常内容
   */
  @TableField("error_msg")
  private String errorMsg;

  /**
   * 创建时间
   */
  @TableField("gmt_created")
  private Date gmtCreated;

  /**
   * 修改时间
   */
  @TableField("gmt_modified")
  private Date gmtModified;


}