package com.qs.mp.user.domain;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;

import java.util.Date;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableLogic;
import com.baomidou.mybatisplus.annotation.TableField;

import java.io.Serializable;

import com.baomidou.mybatisplus.annotation.*;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @describe 营销活动中奖信息表实体类
 * @auther quanshu
 * @create 2022-05-16 14:29:06
 */
@TableName("mp_marketing_hit_prize")
@Data
@ApiModel("营销活动中奖信息表实体类")
public class MarketingHitPrize implements Serializable {
    private static final long serialVersionUID = 1L;

    /**
     * 主键
     */
    @ApiModelProperty("中奖记录id")
    @TableId(value = "id", type = IdType.INPUT)
    private String id;

    /**
     * 营销活动id
     */
    @ApiModelProperty("营销活动id")
    @TableField("marketing_id")
    private Long marketingId;


    @ApiModelProperty("用户参与码关系id")
    @TableField("marketing_user_code_id")
    private Long marketingUserCodeId;

    /**
     * 用户id
     */
    @ApiModelProperty("用户id")
    @TableField("user_id")
    private Long userId;

    /**
     * 用户类型(00系统用户)(11内部用户)
     */
    @ApiModelProperty("用户类型(00系统用户)(11内部用户)")
    @TableField("user_type")
    private String userType;

    /**
     * 奖项id
     */
    @ApiModelProperty("奖项id")
    @TableField("awards_id")
    private Long awardsId;

    /**
     * 奖品id
     */
    @ApiModelProperty("奖品id")
    @TableField("prize_id")
    private Long prizeId;

    /**
     * 创建时间
     */
    @ApiModelProperty("创建时间")
    @TableField("created_time")
    private Date createdTime;

    /**
     * 更新时间
     */
    @ApiModelProperty("更新时间")
    @TableField("updated_time")
    private Date updatedTime;

    /**
     * 逻辑删除标识
     */
    @ApiModelProperty("逻辑删除标识")
    @TableField("is_deleted")
    @TableLogic
    private Integer isDeleted;


}