package com.qs.mp.user.domain;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;

import java.util.Date;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableLogic;
import com.baomidou.mybatisplus.annotation.TableField;

import java.io.Serializable;

import com.baomidou.mybatisplus.annotation.*;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @describe 营销活动用户参与码关系表实体类
 * @auther quanshu
 * @create 2022-05-16 14:28:52
 */
@TableName("mp_marketing_user_code")
@Data
@ApiModel("营销活动用户参与码关系表实体类")
public class MarketingUserCode implements Serializable {
    private static final long serialVersionUID = 1L;

    /**
     * 主键
     */
    @ApiModelProperty("主键")
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     * 营销活动id
     */
    @ApiModelProperty("营销活动id")
    @TableField("marketing_id")
    private Long marketingId;

    /**
     * 用户id
     */
    @ApiModelProperty("用户id")
    @TableField("user_id")
    private Long userId;

    /**
     * 用户类型(00系统用户)(11内部用户)
     */
    @ApiModelProperty("用户类型(00系统用户)(11内部用户)")
    @TableField("user_type")
    private String userType;

    /**
     * 助力用户id
     */
    @ApiModelProperty("助力用户id")
    @TableField("help_user_id")
    private Long helpUserId;

    /**
     * 参与码
     */
    @ApiModelProperty("参与码")
    @TableField("code")
    private String code;

    /**
     * 是否中奖 0未中奖,1中奖
     */
    @ApiModelProperty("是否中奖 0未中奖,1中奖")
    @TableField("is_hit")
    private Integer isHit;

    /**
     * 创建时间
     */
    @ApiModelProperty("创建时间")
    @TableField("created_time")
    private Date createdTime;

    /**
     * 更新时间
     */
    @ApiModelProperty("更新时间")
    @TableField("updated_time")
    private Date updatedTime;

    /**
     * 逻辑删除标识
     */
    @ApiModelProperty("逻辑删除标识")
    @TableField("is_deleted")
    @TableLogic
    private Integer isDeleted;


}