package com.qs.mp.user.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import java.io.Serializable;
import java.util.Date;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @describe 用户盲豆兑换订单实体类
 * @auther quanshu
 * @create 2022-03-07 20:45:43
 */
@TableName("mp_user_exchange_order")
@Data
@ApiModel("用户盲豆兑换订单实体类")
public class UserExchangeOrder implements Serializable {

  private static final long serialVersionUID = 1L;

  /**
   * 主键
   */
  @ApiModelProperty("订单id")
  @TableId(value = "order_id", type = IdType.INPUT)
  private String orderId;

  /**
   * 用户ID
   */
  @ApiModelProperty("用户id")
  @TableField("user_id")
  private Long userId;

  /**
   * 商品ID
   */
  @ApiModelProperty("商品id")
  @TableField("goods_id")
  private Long goodsId;

  /**
   * sku ID
   */
  @ApiModelProperty("sku id")
  @TableField("sku_id")
  private Long skuId;

  @ApiModelProperty("兑换数量")
  @TableField("num")
  private Integer num;

  /**
   * 消耗代币数
   */
  @ApiModelProperty("消耗代币数")
  @TableField("order_coin")
  private Integer orderCoin;

  /**
   * 创建时间
   */
  @ApiModelProperty("创建时间")
  @TableField("created_time")
  private Date createdTime;

  /**
   * 更新时间
   */
  @ApiModelProperty("更新时间")
  @TableField("updated_time")
  private Date updatedTime;


}
