package com.qs.mp.user.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.Version;
import java.io.Serializable;
import java.util.Date;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @describe 用户盲票订单明细实体类
 * @auther quanshu
 * @create 2022-03-07 20:45:43
 */
@TableName("mp_user_ticket_order_item")
@Data
@ApiModel("用户盲票订单明细实体类")
public class UserTicketOrderItem implements Serializable {

  private static final long serialVersionUID = 1L;

  /**
   * 主键
   */
  @ApiModelProperty("明细id,主键")
  @TableId(value = "item_id", type = IdType.INPUT)
  private String itemId;

  /**
   * 订单ID
   */
  @ApiModelProperty("订单id")
  @TableField("order_id")
  private String orderId;

  /**
   * 用户ID
   */
  @ApiModelProperty("用户id")
  @TableField("user_id")
  private Long userId;

  /**
   * 盲票组ID
   */
  @ApiModelProperty("盲票组id")
  @TableField("box_id")
  private String boxId;

  /**
   * 盲票ID
   */
  @ApiModelProperty("盲票id")
  @TableField("ticket_id")
  private String ticketId;

  /**
   * 盲票组标题
   */
  @ApiModelProperty("盲票组标题")
  @TableField("title")
  private String title;

  /**
   * 主图url
   */
  @ApiModelProperty("主图url")
  @TableField("pic_url")
  private String picUrl;

  /**
   * 创建时间
   */
  @ApiModelProperty("创建时间")
  @TableField("created_time")
  private Date createdTime;

  /**
   * 更新时间
   */
  @ApiModelProperty("更新时间")
  @TableField("updated_time")
  @Version
  private Date updatedTime;


}
