package com.qs.mp.user.domain.excel;

import com.baomidou.mybatisplus.annotation.TableField;
import com.qs.mp.common.annotation.Excel;

import java.util.Date;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @author liugl
 * @Date 2022/3/17
 */
@Data
public class DeliverOrderExcel {

    @Excel(name = "商品ID")
    private Long goodsId;

    @Excel(name = "商品编码")
    private String code;


    /**
     * 商品标题
     */
    @Excel(name = "商品名称")
    private String title;


    /**
     * sku 属性
     */
    @Excel(name = "规格")
    private String properties;


    /**
     * 商品数量
     */
    @Excel(name = "数量")
    private Integer goodsNum;

    @Excel(name = "供应商名称")
    private String supplierName;

    @Excel(name = "商品采购链接")
    private String shoppingLink;

    /**
     * 创建时间
     */
    @Excel(name = "下单时间")
    private Date createdTime;

    @Excel(name = "订单编号")
    private String orderId;

    /**
     * 收货人
     */
    @Excel(name = "收货人")
    private String receiver;

    /**
     * 收货人电话
     */
    @Excel(name = "联系电话")
    private String tel;

    /**
     * （省-市-区-详细地址）
     */
    @Excel(name = "收货地址")
    private String address;


    /**
     * 订单状态
     */
    @Excel(name = "订单状态")
    private String status;


    /**
     * 商品发货状态， 有物流单号默认为已发货
     */
    @Excel(name = "商品发货状态")
    private String itemStatus;


    @Excel(name = "买家留言")
    private String memo;


}
