package com.qs.mp.user.domain.vo;

import com.qs.mp.user.domain.UserAddr;
import com.qs.mp.user.domain.UserPrizeStorage;
import java.util.ArrayList;
import java.util.List;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @author zhongcp
 * @Date 2022/3/3
 */
@Data
@ApiModel("用户提货订单结算出参类")
public class DeliverOrderSettleVO {

  @ApiModelProperty("用户配送地址")
  private UserAddr addr;

  /**
   * 订单金额
   */
  @ApiModelProperty("订单金额")
  private Integer orderAmt = 0;

  /**
   * 运费
   */
  @ApiModelProperty("运费")
  private Integer freightAmt = 0;

  @ApiModelProperty("运费模板类型 1发货，2不发货")
  private Integer freightType;

  @ApiModelProperty("运费备注")
  private String freightRemark;

  /**
   * 实付金额
   */
  @ApiModelProperty("实付金额")
  private Integer payAmt = 0;

  /**
   * 奖品库列表
   */
  @ApiModelProperty("奖品库列表")
  List<UserPrizeStorage> prizeList = new ArrayList<>();

}
