package com.qs.mp.user.domain.vo;

import com.qs.mp.user.domain.UserDeliverOrderItem;

import java.util.ArrayList;
import java.util.Date;
import java.util.List;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @author 用户提货订单物流信息
 * @Date 2022/3/17
 */
@Data
@ApiModel("用户提货订单物流信息")
public class OrderDeliverItemVO {

	/**
	   * 物流公司ID
	   */
	@ApiModelProperty("物流公司id")
	  private Long deliveryId;

	  // 物流公司名称
	@ApiModelProperty("物流公司名称")
	  private  String companyName;

	  /**
	   * 公司主页
	   */
	  @ApiModelProperty("公司主页")
	  private String companyHomeUrl;

	  /**
	   * 物流查询接口
	   */
	  @ApiModelProperty("物流查询接口")
	  private String queryUrl;

	  /**
	   * 物流单号ID
	   */
	  @ApiModelProperty("物流单号id")
	  private String deliveryFlowId;

	  /**
	   * 发货时间
	   */
	  @ApiModelProperty("发货时间")
	  private Date deliveryTime;

	  // 物流商品清单
	  @ApiModelProperty("物流商品清单")
	  List<UserDeliverOrderItemVO> items = new ArrayList<>();
}
