package com.qs.mp.user.mapper;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.toolkit.Constants;
import com.qs.mp.admin.domain.excel.MarketingHitPrizeExcel;
import com.qs.mp.user.domain.MarketingHitPrize;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.qs.mp.user.domain.vo.UserMarketingHitPrizeListVO;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * @auther quanshu
 * @create 2022-05-16 14:29:06
 * @describe 营销活动中奖信息表mapper类
 */
public interface MarketingHitPrizeMapper extends BaseMapper<MarketingHitPrize> {

    /**
     * 根据条件获取中奖信息列表
     * @param queryWrapper
     * @return
     */
    List<UserMarketingHitPrizeListVO> listHitPrizeByQueryWrapper(@Param(Constants.WRAPPER) QueryWrapper<MarketingHitPrize> queryWrapper);

    /**
     * 根据条件获取中奖信息导出列表
     * @param queryWrapper
     * @return
     */
    List<MarketingHitPrizeExcel> listHitPrizeExportByQueryWrapper(@Param(Constants.WRAPPER) QueryWrapper<MarketingHitPrize> queryWrapper);
}
