package com.qs.mp.user.mapper;

import com.qs.mp.user.domain.UserDeliverOrderItem;
import com.qs.mp.user.domain.vo.OrderDeliverItemVO;
import com.qs.mp.user.domain.vo.UserDeliverOrderItemVO;

import java.util.List;

import org.apache.ibatis.annotations.Param;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
/**
 * @auther quanshu
 * @create 2022-03-07 20:45:43
 * @describe 用户提货订单明细mapper类
 */
public interface UserDeliverOrderItemMapper extends BaseMapper<UserDeliverOrderItem> {

	/**
	 * 获取用户提货订单物流列表信息
	 * 
	 * @param wrapper
	 * @return
	 */
	public List<OrderDeliverItemVO> selectOrderDeliverItemVOList(@Param("orderId") String orderId);
	
	/**
	 * 获取用户提货订单明细列表信息
	 * 
	 * @param wrapper
	 * @return
	 */
	public List<UserDeliverOrderItemVO> selectUserDeliverOrderItemVOList(@Param("orderId") String orderId);
}
