package com.qs.mp.user.mapper;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.toolkit.Constants;
import com.qs.mp.admin.domain.vo.UserExchangeOrderVO;
import com.qs.mp.user.domain.UserExchangeOrder;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.qs.mp.user.domain.vo.TicketHitPrizeBarrageVO;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * @auther quanshu
 * @create 2022-03-07 20:45:43
 * @describe 用户盲豆兑换订单mapper类
 */
public interface UserExchangeOrderMapper extends BaseMapper<UserExchangeOrder> {

    /**
     * 根据条件获取用户兑奖列表
     * @param queryWrapper
     * @return
     */
    List<TicketHitPrizeBarrageVO> listByWrapper(@Param(Constants.WRAPPER) QueryWrapper<TicketHitPrizeBarrageVO> queryWrapper);

    /**
     * 根据条件获取用户兑奖列表
     * @param queryWrapper
     * @return
     */
    List<UserExchangeOrderVO> listUserExchangeOrderByWrapper(@Param(Constants.WRAPPER) QueryWrapper<UserExchangeOrder> queryWrapper);

    /**
     * 根据条件获取用户兑奖列表数量
     * @param queryWrapper
     * @return
     */
    int countUserExchangeOrderByWrapper(@Param(Constants.WRAPPER) QueryWrapper<UserExchangeOrder> queryWrapper);
}
