package com.qs.mp.user.mapper;

import com.baomidou.mybatisplus.core.conditions.Wrapper;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.toolkit.Constants;
import com.qs.mp.admin.domain.TicketAwardsPrize;
import com.qs.mp.admin.domain.vo.TicketAwardsPrizeVO;
import com.qs.mp.admin.domain.vo.TicketListVO;
import com.qs.mp.admin.domain.vo.UserTicketOrderItemVO;
import com.qs.mp.admin.domain.vo.UserTicketOrderTicketDetailVO;
import com.qs.mp.user.domain.UserTicketOrderItem;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import java.util.List;
import org.apache.ibatis.annotations.Param;

/**
 * @auther quanshu
 * @create 2022-03-07 20:45:43
 * @describe 用户盲票订单明细mapper类
 */
public interface UserTicketOrderItemMapper extends BaseMapper<UserTicketOrderItem> {
  List<UserTicketOrderItem> listTicketOrderItemVO(@Param(Constants.WRAPPER) Wrapper<UserTicketOrderItem> queryWrapper);

  List<TicketListVO> listMyTicketVO(@Param(Constants.WRAPPER) Wrapper<UserTicketOrderItem> queryWrapper);

  int countMyTicket(@Param(Constants.WRAPPER) Wrapper<UserTicketOrderItem> queryWrapper);

  /**
   * 获取订单下盲票相关详情信息
   * @param queryWrapper
   * @return
   */
  List<UserTicketOrderTicketDetailVO> listTicketDetailByOrderId(@Param(Constants.WRAPPER) QueryWrapper<UserTicketOrderTicketDetailVO> queryWrapper);

  /**
   * 根据条件获取用户盲票订单明细相关信息
   * @param queryWrapper
   * @return
   */
  List<UserTicketOrderItemVO> listUserTicketOrderItem(@Param(Constants.WRAPPER) QueryWrapper<UserTicketOrderItem> queryWrapper);

  /**
   * 统计用户盲票订单明细相关数量
   * @param queryWrapper
   * @return
   */
  int countUserTicketOrderItem(@Param(Constants.WRAPPER) QueryWrapper<UserTicketOrderItem> queryWrapper);

}
