package com.qs.mp.user.service;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.qs.mp.admin.domain.excel.MarketingHitPrizeExcel;
import com.qs.mp.user.domain.MarketingHitPrize;
import com.baomidou.mybatisplus.extension.service.IService;
import com.qs.mp.user.domain.vo.UserMarketingHitPrizeListVO;

import java.util.List;

/**
 * <p>
 * 营销活动中奖信息表 服务类
 * </p>
 *
 * @author quanshu
 * @since 2022-05-16
 */
public interface IMarketingHitPrizeService extends IService<MarketingHitPrize> {

    /**
     * 根据条件获取中奖信息列表
     * @param queryWrapper
     * @return
     */
    List<UserMarketingHitPrizeListVO> listHitPrizeByQueryWrapper(QueryWrapper<MarketingHitPrize> queryWrapper);

    /**
     * 根据条件获取中奖信息导出列表
     * @param queryWrapper
     * @return
     */
    List<MarketingHitPrizeExcel> listHitPrizeExportByQueryWrapper(QueryWrapper<MarketingHitPrize> queryWrapper);
}
